Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.able
Class AbleHelp

    java.lang.Object
      com.ibm.able.AbleHelp

public class AbleHelp
extends java.lang.Object

This class provides several static methods for displaying help To open a broswer on a specific URL, use displayHelpUrl() To open a browser on an Able help file, use displayHelp() Able help files are assumed to be in {AbleHome}/docs/com/ibm/able ... The openBrowser() method contains platform-specific command strings to invoke a browser on each platform.

Field Summary
`static java.lang.String` | `helpFilesPath` the relative path from Able Home to base package help

Constructor Summary
`AbleHelp()`

Method Summary
`static void` | `displayHelp(java.lang.Object source, java.lang.String helpFile)` Display an Able help file in a browser
`static void` | `displayHelpURL(java.lang.Object source, java.net.URL url)` Display the specified url in a browser.
`static void` | `openBrowser(java.net.URL helpURL)` Opens the default browser on the specified URL.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### helpFilesPath

    public static java.lang.String helpFilesPath

  the relative path from Able Home to base package help

Constructor Detail

### AbleHelp

    public AbleHelp()

Method Detail

### displayHelp

    public static void displayHelp(java.lang.Object source,
                                   java.lang.String helpFile)

  Display an Able help file in a browser

  Parameters:
    `source` - -- the object requesting that help be displayed
    `helpFile` - -- the name of the help (html) file to display this should be relative to {AbleHomeUrl}/docs/com/ibm/able/

### displayHelpURL

    public static void displayHelpURL(java.lang.Object source,
                                      java.net.URL url)

  Display the specified url in a browser.

  Parameters:
    `source` - The object requesting that help be displayed.
    `url` - The name of the help (html) file to display.

### openBrowser

    public static void openBrowser(java.net.URL helpURL)
                            throws AbleException

  Opens the default browser on the specified URL. Platforms tested as of 4/11/2000 NT (OK), 95/98 (???), AIX (???) , OS/2 (???) , MAC (???)

  Throws:
    `AbleException`

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) Copyright IBM Corporation 1999, 2005